<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>aspnet-eSuite.API-EA26D200-BEDC-48D6-90C6-05928A9D2024</UserSecretsId>
  </PropertyGroup>

	<PropertyGroup>
		<GenerateDocumentationFile>true</GenerateDocumentationFile>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
	</PropertyGroup>

	<ItemGroup>
	  <Content Remove="wwwroot\swagger-ui\SwaggerDark.css" />
	</ItemGroup>

	<ItemGroup>
	  <None Include="wwwroot\swagger-ui\SwaggerDark.css">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	</ItemGroup>

  <ItemGroup>
    <PackageReference Include="AspNetCore.HealthChecks.SqlServer" Version="9.0.0" />
    <PackageReference Include="AspNetCore.HealthChecks.UI.Client" Version="9.0.0" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="10.0.0" />
    <PackageReference Include="Microsoft.Extensions.Diagnostics.HealthChecks.EntityFrameworkCore" Version="10.0.2" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.23.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="10.1.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\e-suite.API.Common\e-suite.API.Common\e-suite.API.Common.csproj" />
    <ProjectReference Include="..\..\e-suite.Database.Audit\e-suite.Database.Audit\e-suite.Database.Audit.csproj" />
    <ProjectReference Include="..\..\e-suite.Database.SqlServer\e-suite.Database.SqlServer\e-suite.Database.SqlServer.csproj" />
    <ProjectReference Include="..\..\e-suite.DependencyInjection\e-suite.DependencyInjection.csproj" />
    <ProjectReference Include="..\..\e-suite.Manager.BlockedIPs\e-suite.Modules.BlockedIPsManager\e-suite.Modules.BlockedIPsManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Messaging.Common\e-suite.Messaging.Common\e-suite.Messaging.Common.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.AuditLog\e-suite.Modules.AuditLog\e-suite.Modules.AuditLog.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.CustomFieldsManager\e-suite.Modules.CustomFieldsManager\e-suite.Modules.CustomFieldsManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.DomainManager\e-suite.Modules.DomainManager\e-suite.Modules.DomainManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.ExceptionLogManager\e-suite.Modules.ExceptionLogManager\e-suite.Modules.ExceptionLogManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.FormsManager\e-suite.Modules.FormsManager\e-suite.Modules.FormsManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.GlossariesManager\e-suite.Modules.GlossariesManager\e-suite.Modules.GlossariesManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.MailTemplatesManager\e-suite.Modules.MailTemplatesManager\e-suite.Modules.MailTemplatesManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.OrganisationManager\e-Suite.Modules.OrganisationsManager\e-suite.Modules.OrganisationsManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.RoleManager\e-suite.Modules.RoleManager\e-suite.Modules.RoleManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.SequenceManager\e-Suite.Modules.SequenceManager\e-suite.Modules.SequenceManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.SiteManager\e-suite.Modules.SiteManager\e-suite.Modules.SiteManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.SpecificationManager\e-suite.Modules.SpecificationManager\e-suite.Modules.SpecificationManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.SSOManager\e-suite.Modules.SSOManager\e-suite.Modules.SSOManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.UserManager\e-suite.Modules.UserManager\e-suite.Modules.UserManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Modules.WorkflowTemplatesManager\e-suite.Modules.WorkflowTemplatesManager.csproj" />
    <ProjectReference Include="..\..\e-suite.Service.CustomFieldValidation\e-suite.Service.CustomFieldValidation\e-suite.Service.CustomFieldValidation.csproj" />
    <ProjectReference Include="..\..\e-suite.Service.Mail\e-suite.Service.Mail\e-suite.Service.Mail.csproj" />
    <ProjectReference Include="..\..\e-suite.Service.Sentinel\e-suite.Service.Sentinel\e-suite.Service.Sentinel.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.Development.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="appsettings.Production.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Update="Dockerfile.Azure">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
